/*
    NullBot Robot Platform - Server - 2005-2011 Jason Hunt
    
    GNU GENERAL PUBLIC LICENSE Version 2, June 1991
    
    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

    Contact: nulluser@gmail.com
    
    File: utility.h
*/

#ifndef UTILITY_H
#define UTILITY_H

#define TIME_SECOND 1000000
    
#define MAX_STR     256
    
void error( char *fmt, ... );
    
    
void log_write(char *fmt, ... );
void log_packet(char *m, unsigned char *p, unsigned int l);
void show_packet(char *m, unsigned char *p, unsigned int l);

void alert( char *fmt, ... );

unsigned int get_checksum(unsigned char *bf, unsigned int len);

int get_int( unsigned char lv, unsigned char hv );

#endif




