/*
	NullBot Robot Platform - NodeIO - 2005-2011 Jason Hunt

	Contact: nulluser@gmail.com
    
	GNU GENERAL PUBLIC LICENSE Version 2, June 1991
	
	This program is free software; you can redistribute it and/or
    	modify it under the terms of the GNU General Public License
    	as published by the Free Software Foundation; either version 2
    	of the License, or (at your option) any later version.

    	This program is distributed in the hope that it will be useful,
    	but WITHOUT ANY WARRANTY; without even the implied warranty of
    	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    	GNU General Public License for more details.

    	You should have received a copy of the GNU General Public License
    	along with this program; if not, write to the Free Software
    	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	File: config.h
*/


#ifndef CONFIG_H
#define CONFIG_H

#define NUM_ANALOG			4			// Number of analog channels
#define NUM_SAMPLES			5			// Number of analog samples


#define NUM_SERVO			4		    // Number of servo outputs


#define  U1HOST							// True if host is on uart1
//#define  U2HOST
//#define I2CHOST

#define BUFFER_HOST_TX		0			// Enable buffered tx to host

#define TIMEOUT_PERIOD		50  		//  100 ms	

//#define HOST_BAUD			9600		// Baud for host pc
#define HOST_BAUD			57600		// Baud for host pc
//#define U2_BAUD			38400		// Baud for host pc

#define MAX_HOST_TX			300


#define IDLE_SERVOS  		0			// True if servos shutoff when on center

#endif

